import React, {useEffect, useRef, useState} from 'react';



export default function InputComponent({label, name, onChange, error, setValue, onBlur, defaultValue, handleValidate, validateOnRender = false, holderClass, value = ""}) {
  const inputRef = useRef(null);

  const [errorFeedback, setErrorFeedback] = useState(validateOnRender)
  
  useEffect(() => {
    setValue(defaultValue)
    handleValidate(value)
    //eslint-disable-next-line
  }, []);

  return (
    <div className={holderClass}>
      <label htmlFor={name}>{label}</label>
      <input
        ref={inputRef}
        defaultValue={defaultValue}
        onChange={onChange}
        onBlur={e => {handleValidate(e.target.value); setErrorFeedback(true)}}
      />
      {error.toString()}
    </div>
  );
}
