import React, {useEffect, useRef, useState} from 'react';

export default function SelectComponent({label, name, onChange, error, setValue, onBlur, defaultValue, handleValidate, validateOnRender = false, holderClass, value = "", options}) {
  
  const [errorFeedback, setErrorFeedback] = useState(validateOnRender)
  
  useEffect(() => {
    setValue(defaultValue)
    handleValidate(value)
    //eslint-disable-next-line
  }, []);

  return (
    <div className={holderClass}>
      <label htmlFor={name}>{label}</label>
      <select
        defaultValue={defaultValue}
        onChange={onChange}
      />
      {error && errorFeedback && <p>{error}</p>}
    </div>
  );
}
