import React, {useEffect, useState  } from 'react';
import InputComponent from '../../components/InputComponent';
import useForm from '../../hooks/useForm';

export default function FormExample() {
  const [dados, setDados] = useState({nome: '', exemp: 'sadsda'})
  const username = useForm({
    required: true,
    minLength: 14,
    messages: {
      minLength: `Insira um CPF válido`
    }
  });

  const texto = useForm( {
    required: true,
    trimValue: true,
    minLength: 10,
  });

  useEffect(() => {
    validatePassword(username.value)
  }, [username.value])
  
  function handleSubmit(e) {
    e.preventDefault()
    console.log("\""+texto.value+"\"")
  }

  function validatePassword(e) {
    console.log('validando password: '+ e)
  }
  
  return (
    <form action="" onSubmit={handleSubmit}>
      <InputComponent
        name="email"
        defaultValue={dados.nome}
        mask="cpf"
        {...username}
      />

      <InputComponent
        name="texto"
        defaultValue={dados.exemp}
        {...texto}
      />
      {texto.value.length}
      <button type="submit" disabled={username.error || texto.error}>Enviar</button>
    </form>
  )
}
